# Uses of Class
org.codehaus.janino.Java.MemberAnnotationTypeDeclaration

Packages that use Java.MemberAnnotationTypeDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.MemberAnnotationTypeDeclaration in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.MemberAnnotationTypeDeclaration
Modifier and Type
Method
Description
`R`
Visitor.TypeBodyDeclarationVisitor.`visitMemberAnnotationTypeDeclaration(Java.MemberAnnotationTypeDeclaration matd)`
Invoked by `accept(Visitor.TypeBodyDeclarationVisitor)`.
`R`
Visitor.TypeDeclarationVisitor.`visitMemberAnnotationTypeDeclaration(Java.MemberAnnotationTypeDeclaration matd)`
Invoked by `accept(Visitor.TypeDeclarationVisitor)`

## Uses of Java.MemberAnnotationTypeDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.MemberAnnotationTypeDeclaration
Modifier and Type
Method
Description
`Java.MemberTypeDeclaration`
DeepCopier.`copyMemberAnnotationTypeDeclaration(Java.MemberAnnotationTypeDeclaration subject)`
`void`
AbstractTraverser.`traverseMemberAnnotationTypeDeclaration(Java.MemberAnnotationTypeDeclaration matd)`
`void`
Traverser.`traverseMemberAnnotationTypeDeclaration(Java.MemberAnnotationTypeDeclaration matd)`